## sasview 5.0.6

=== docs/sphinx-docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source-temp
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

stubs:
	rm -rf source/dev/api
	sphinx-apidoc -o source/dev/api -d 8 ../../src

html: stubs
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SasView.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SasView.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SasView"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SasView"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	"$(MAKE)" -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	"$(MAKE)" -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== build_tools/Vagrant/Ubuntu1404/Build_deb_rpm/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

# This will install a pyinstaller-generated sasview
project(sasview C)

# Define the version of sasview being packaged
option(SAS_VERSION "Define SASView version to package" off)

if (NOT ${SAS_VERSION})
  message(FATAL_ERROR "SASView version unspecified!\n"
    "Please use e.g. -DSAS_VERSION=4.1 ")
endif()

# main install work is done in this function
macro(installDir path)
  # Main install location is defined via CMAKE_INSTALL_PREFIX
  # - what is chosen here is a subdirectory
  install (
    DIRECTORY "${path}/"
    DESTINATION "sasview/${SAS_VERSION}"
    PATTERN "Makefile*" EXCLUDE  # skip makefiles
    PATTERN "#*"        EXCLUDE  # skip backup files
    PATTERN ".*"        EXCLUDE  # skip hidden files
    PATTERN "*.out"     EXCLUDE  # skip binary files
    PATTERN "*.*.in"    EXCLUDE  # skip configure processed template files
    PATTERN "*"
    PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ
    GROUP_EXECUTE GROUP_READ
    WORLD_EXECUTE WORLD_READ
  )
endmacro()

# CPack configuration
set(CPACK_PACKAGE_NAME          "sasview-${SAS_VERSION}")
set(CPACK_RESOURCE_FilE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}../../LICENSE.TXT")
set(CPACK_PACKAGE_CONTACT       "pkwi@fysik.dtu.dk")

set(CPACK_PACKAGE_VERSION       "1.0")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "0")

# Have CPack respect install prefix
set(CPACK_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
set(CPACK_PACKAGING_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Avoid e.g. /usr/local being "part" of the RPMs
set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST
  ${CMAKE_INSTALL_PREFIX}
  ${CMAKE_INSTALL_PREFIX}/bin
  ${CMAKE_INSTALL_PREFIX}/sasview
  )

installDir("${PROJECT_SOURCE_DIR}/sasview")

execute_process(COMMAND ln -s ${CMAKE_INSTALL_PREFIX}/sasview/${SAS_VERSION}/sasview sasview)
install(FILES ${CMAKE_BINARY_DIR}/sasview DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/)

include(CPack)

=== debian/changelog ===
sasview (5.0.6-2) unstable; urgency=medium

  * Fix typo in debian/clean to make clean target work (Closes: #1047258,
    #1049810).
  * Cherry-pick upstream patch for Python 3.12 compatibility
    (Closes: #1061760).

 -- Stuart Prescott <stuart@debian.org>  Mon, 19 Feb 2024 00:09:40 +1100

sasview (5.0.6-1) unstable; urgency=medium

  * New upstream release.
    - drop numpy-1.23.patch, applied usptream
    - refresh other patches
  * Update debian/watch for github changes.
  * Move most build-dependencies to Build-Depends-Indep now that packages are
    arch:all.

 -- Stuart Prescott <stuart@debian.org>  Sun, 13 Aug 2023 16:31:11 +1000

sasview (5.0.5-5) unstable; urgency=medium

  * Add new patch to provide compatibility with numpy 1.24 (Closes: #1027248).
  * Update Standards-Version to 4.6.2 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 09 Jan 2023 18:17:54 +1100

sasview (5.0.5-4) unstable; urgency=medium

  * Cherry-pick upstream patch for compatibility with numpy 1.23
    (Closes: #1026349).

 -- Stuart Prescott <stuart@debian.org>  Mon, 19 Dec 2022 10:27:43 +1100

sasview (5.0.5-3) unstable; urgency=medium

  * Upload to unstable.
  * Convert package to Architecture: all.

 -- Stuart Prescott <stuart@debian.org>  Sun, 06 Nov 2022 18:10:17 +1100

=== debian/control ===
Source: sasview
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Drew Parsons <dparsons@debian.org>,
 Stuart Prescott <stuart@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-numpy,
Build-Depends-Indep:
 libjs-jquery,
 libjs-mathjax,
 pyqt5-dev-tools,
 python3-bumps (>> 0.9.0~),
 python-bumps-doc (>> 0.9.0~),
 python3-dominate,
 python3-h5py,
 python3-ipython,
 python3-lxml,
 python3-matplotlib,
 python3-periodictable,
 python3-pil,
 python3-pyparsing,
 python3-pytest,
 python3-pyqt5,
 python3-qt5reactor,
 python3-qtconsole,
 python3-pyqt5.qtsvg,
 python3-sasmodels (>> 1.0.7~),
 python-sasmodels-doc (>> 1.0.7~),
 python3-scipy,
 python3-setuptools,
 python3-sphinx (>= 1.6~),
 python3-uncertainties,
 python3-xhtml2pdf,
 python3-html2text,
 rename,
 texinfo,
 texlive-fonts-recommended,
 tex-gyre,
 texlive-plain-generic,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
 xauth,
 xserver-xephyr,
 xvfb,
Standards-Version: 4.6.2
Homepage: https://www.sasview.org/
Vcs-Git: https://salsa.debian.org/science-team/sasview.git
Vcs-Browser: https://salsa.debian.org/science-team/sasview
Rules-Requires-Root: no

Package: sasview
Architecture: all
Depends:
 python3-pkg-resources,
 python3-sasview,
 ${misc:Depends},
 ${python3:Depends}
Suggests:
 sasview-doc
Description: Small Angle Scattering Analysis suite
 SasView is software for the analysis of Small-Angle Scattering (SAS)
 data.
 .
 It fits analytic functions describing different types of material
 microstructure to experimental data in order to determine the shape,
 size and degree of ordering.
 .
 SasView also includes tools for calculating scattering length
 densities, slit sizes, resolution, fringe thicknesses/d-spacings, the
 (Porod) invariant ('total scattering'), and distance distribution
 functions.
 .
 SasView is a Small Angle Scattering Analysis Software Package,
 originally developed as part of the NSF DANSE project under the name
 SansView, now managed by an international collaboration of facilities.
 .
 This package installs the sasview executable script.

Package: python3-sasview
Architecture: all
Section: python
Depends:
 python3-bumps (>> 0.9.0~),
 python3-dominate,
 python3-h5py,
 python3-ipython,
 python3-lxml,
 python3-matplotlib,
 python3-numpy,
 python3-periodictable,
 python3-pil,
 python3-pyparsing,
 python3-pyqt5,
 python3-pyqt5.qtsvg,
 python3-qt5reactor,
 python3-qtconsole,
 python3-sasmodels (>> 1.0.6~),
 python3-scipy,
 python3-uncertainties,
 python3-xhtml2pdf,
 python3-html2text,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Suggests:
 sasview-doc
Description: Small Angle Scattering Analysis
 SasView is software for the analysis of Small-Angle Scattering (SAS)
 data.
 .
 It fits analytic functions describing different types of material
 microstructure to experimental data in order to determine the shape,
 size and degree of ordering.
 .
 SasView also includes tools for calculating scattering length
 densities, slit sizes, resolution, fringe thicknesses/d-spacings, the
 (Porod) invariant ('total scattering'), and distance distribution
 functions.
 .
 SasView is a Small Angle Scattering Analysis Software Package,
 originally developed as part of the NSF DANSE project under the name
 SansView, now managed by an international collaboration of facilities.
 .
 This is the package of Python modules; most users will want the graphical
 user interface in the sasview package.

Package: sasview-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-jquery,
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends}
Description: Small Angle Scattering Analysis (documentation)
 SasView is software for the analysis of Small-Angle Scattering (SAS)
 data.
 .
 It fits analytic functions describing different types of material
 microstructure to experimental data in order to determine the shape,
 size and degree of ordering.
 .
 SasView also includes tools for calculating scattering length
 densities, slit sizes, resolution, fringe thicknesses/d-spacings, the
 (Porod) invariant ('total scattering'), and distance distribution
 functions.
 .
 SasView is a Small Angle Scattering Analysis Software Package,
 originally developed as part of the NSF DANSE project under the name
 SansView, now managed by an international collaboration of facilities.
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=sasview

# Enable additional hardening options for the binaries but not PIE since it is
# not wanted for shared libraries.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# SasView insists on writing to ~/sasview.log
export HOME = $(CURDIR)/build/

# Force pdflatex to use SOURCE_DATE_EPOCH for \today too
export FORCE_SOURCE_DATE = 1


%:
	dh $@ --with python3,sphinxdoc,numpy3 --buildsystem=pybuild

execute_after_dh_auto_clean:
	# clean up tests
	find test -name logs -type d -exec rm -rf {} +

execute_after_dh_auto_build:
	# reassemble the docs from dependent packages to make the overall
	./debian/fetchdocs
	mkdir build
	SASVIEW_BUILD=`pybuild --print build_dir -i python3` \
	  xvfb-run -a --server-args='-screen 0 1024x768x24' \
	  python3 setup.py docs update
	# Strip absolute build paths from HTML documentation
	mkdir -p docs/sphinx-docs/build/html/_static/
	find -type f -name '*.html' -print0 | \
	  xargs -0r sed -i -e "s@$(CURDIR)/`echo build/lib.*`@path/to@g"
	ln -sf /usr/share/javascript/mathjax/ docs/sphinx-docs/build/html/_static/

# execute_after_dh_auto_test:
# SKIP: these test currently hang (v5.0.5)
# 	# Run some additional GUI tests
# 	# they fail upstream at present so run them without failing the build
# 	PYBUILD_SYSTEM=custom \
# 	PYBUILD_BEFORE_TEST="cp -r {dir}/src/sas/qtgui {build_dir}; cp {dir}/src/sas/sasview/test/1d_data/beam\ profile.DAT {build_dir}/qtgui/beam_profile.DAT" \
# 	PYBUILD_TEST_ARGS="cd {build_dir}/qtgui; xvfb-run -a --server-args='-screen 0 1024x768x24' python3 GUITests.py" \
# 	PYBUILD_AFTER_TEST="rm -rf {build_dir}/qtgui" \
# 	dh_auto_test || true

execute_after_dh_auto_install:
	# remove extra copy of the docs that isn't needed
	rm -rf debian/python3-sasview/usr/lib/python*/dist-packages/doc
	# move the executable into the sasview package
	find debian/python3-sasview \( -name convert\*.sh -o -name convert\*.bat -o -name Thumbs.db \) -delete
	mkdir -p debian/sasview/usr/bin
	mv debian/python3-sasview/usr/bin/sasview debian/sasview/usr/bin/sasview

execute_after_dh_python3:
	rm -rf debian/python3-sasview/usr/lib/python3*/dist-packages/qtgui

execute_after_dh_fixperms:
	find debian/python3-sasview/usr/lib/python*/dist-packages/ -type f -exec chmod a-x {} +

## sasview 6.0.0

=== build_tools/requirements.txt ===
# Alphabetized list of OS and version agnostic dependencies
appdirs
bumps
cffi
docutils
dominate
h5py
html2text
html5lib
importlib-resources
ipython
jsonschema
lxml
mako
matplotlib
numba
periodictable
pybind11
pylint
pyopengl
pyparsing
pytest
pytest_qt
pytest-mock
pytools
qtconsole
six
sphinx
superqt
tinycc
twisted
uncertainties
unittest-xml-reporting
xhtml2pdf
zope

# Alphabetized list of OS-specific packages
pywin32; platform_system == "Windows"

# Alphabetized list of version-pinned packages
numpy==1.26.4  # 2.0.0 deprecates many functions used in the codebase (and potentially in dependencies)
PySide6==6.4.3  # Later versions do not mesh well with pyinstaller < 6.0
scipy==1.13.1  # 1.14 deprecates some functions used in the codebase (and potentially in dependencies)

=== debian/changelog ===
sasview (6.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Tue, 04 Feb 2025 21:34:47 +1100

sasview (6.0.0-2) experimental; urgency=medium

  * Tighten versioned dependencies on sasdata to pick up newer package from
    experimental.

 -- Stuart Prescott <stuart@debian.org>  Thu, 26 Dec 2024 12:18:12 +1100

sasview (6.0.0-1) experimental; urgency=medium

  * New upstream release.
    - drop patches applied upstream
    - switch packaging from pyqt5 to pyside6
    - add new patch to handle new doc-caching/rebuilding code (only handles
      the caching at this stage, rebuilding disabled in 6.0.0)

 -- Stuart Prescott <stuart@debian.org>  Tue, 24 Dec 2024 13:04:17 +1100

sasview (5.0.6-4) unstable; urgency=medium

  * Add updated patch to change schema to work with both old and new libxml2.

 -- Stuart Prescott <stuart@debian.org>  Fri, 09 Aug 2024 15:24:23 +1000

sasview (5.0.6-3) unstable; urgency=medium

  * debian patch fix_invalid_data_tests.patch from sasdata catches
    Exceptions generated by tests of invalid data. Closes: #1073429.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Jul 2024 23:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Drew Parsons <dparsons@debian.org>,
- Stuart Prescott <stuart@debian.org>
+ Stuart Prescott <stuart@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -13,42 +13,57 @@
 Build-Depends-Indep:
  libjs-jquery,
  libjs-mathjax,
- pyqt5-dev-tools,
+ pyside6-tools,
+ python-bumps-doc (>> 0.9.0~),
+ python-sasdata-doc  (>> 0.9.0-2~),
+ python-sasmodels-doc (>> 1.0.8~),
  python3-bumps (>> 0.9.0~),
- python-bumps-doc (>> 0.9.0~),
  python3-dominate,
  python3-h5py,
+ python3-html2text,
  python3-ipython,
  python3-lxml,
  python3-matplotlib,
+ python3-opengl,
  python3-periodictable,
  python3-pil,
  python3-pyparsing,
+ python3-pyside6.qtcore,
+ python3-pyside6.qtgui,
+ python3-pyside6.qtopengl,
+ python3-pyside6.qtopenglwidgets,
+ python3-pyside6.qtprintsupport,
+ python3-pyside6.qtquick,
+ python3-pyside6.qtsvg,
+ python3-pyside6.qttest,
+ python3-pyside6.qtwebenginecore,
+ python3-pyside6.qtwebenginewidgets,
+ python3-pyside6.qtwidgets,
  python3-pytest,
- python3-pyqt5,
- python3-qt5reactor,
  python3-qtconsole,
- python3-pyqt5.qtsvg,
- python3-sasmodels (>> 1.0.7~),
- python-sasmodels-doc (>> 1.0.7~),
+ python3-qtpy,
+ python3-sasdata (>> 0.9.0-2~),
+ python3-sasmodels (>> 1.0.8~),
  python3-scipy,
  python3-setuptools,
- python3-sphinx (>= 1.6~),
+ python3-six,
+ python3-sphinx,
+ python3-superqt,
+ python3-twisted,
  python3-uncertainties,
  python3-xhtml2pdf,
- python3-html2text,
  rename,
+ tex-gyre,
  texinfo,
  texlive-fonts-recommended,
- tex-gyre,
- texlive-plain-generic,
  texlive-latex-base,
  texlive-latex-extra,
  texlive-latex-recommended,
+ texlive-plain-generic,
  xauth,
  xserver-xephyr,
  xvfb,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasview.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasview
@@ -60,9 +75,9 @@
  python3-pkg-resources,
  python3-sasview,
  ${misc:Depends},
- ${python3:Depends}
+ ${python3:Depends},
 Suggests:
- sasview-doc
+ sasview-doc,
 Description: Small Angle Scattering Analysis suite
  SasView is software for the analysis of Small-Angle Scattering (SAS)
  data.
@@ -89,27 +104,39 @@
  python3-bumps (>> 0.9.0~),
  python3-dominate,
  python3-h5py,
+ python3-html2text,
  python3-ipython,
  python3-lxml,
  python3-matplotlib,
  python3-numpy,
+ python3-opengl,
  python3-periodictable,
  python3-pil,
  python3-pyparsing,
- python3-pyqt5,
- python3-pyqt5.qtsvg,
- python3-qt5reactor,
+ python3-pyside6.qtcore,
+ python3-pyside6.qtgui,
+ python3-pyside6.qtopengl,
+ python3-pyside6.qtopenglwidgets,
+ python3-pyside6.qtprintsupport,
+ python3-pyside6.qtquick,
+ python3-pyside6.qtsvg,
+ python3-pyside6.qttest,
+ python3-pyside6.qtwebenginecore,
+ python3-pyside6.qtwebenginewidgets,
+ python3-pyside6.qtwidgets,
  python3-qtconsole,
- python3-sasmodels (>> 1.0.6~),
+ python3-sasdata (>> 0.9.0-2~),
+ python3-sasmodels (>> 1.0.8~),
  python3-scipy,
+ python3-six,
+ python3-superqt,
+ python3-twisted,
  python3-uncertainties,
  python3-xhtml2pdf,
- python3-html2text,
  ${misc:Depends},
  ${python3:Depends},
- ${shlibs:Depends}
 Suggests:
- sasview-doc
+ sasview-doc,
 Description: Small Angle Scattering Analysis
  SasView is software for the analysis of Small-Angle Scattering (SAS)
  data.
@@ -138,7 +165,7 @@
  libjs-jquery,
  libjs-mathjax,
  ${misc:Depends},
- ${sphinxdoc:Depends}
+ ${sphinxdoc:Depends},
 Description: Small Angle Scattering Analysis (documentation)
  SasView is software for the analysis of Small-Angle Scattering (SAS)
  data.

## sasview 6.0.1

=== build_tools/requirements.txt ===
--- 
+++ 
@@ -12,7 +12,6 @@
 jsonschema
 lxml
 mako
-matplotlib
 numba
 periodictable
 pybind11
@@ -24,6 +23,7 @@
 pytest-mock
 pytools
 qtconsole
+siphash24
 six
 sphinx
 superqt
@@ -41,3 +41,4 @@
 numpy==1.26.4  # 2.0.0 deprecates many functions used in the codebase (and potentially in dependencies)
 PySide6==6.4.3  # Later versions do not mesh well with pyinstaller < 6.0
 scipy==1.13.1  # 1.14 deprecates some functions used in the codebase (and potentially in dependencies)
+matplotlib==3.9.4 # 3.10 breaks how bumps generates the DREAM correlation plots - pin for *only* v6.0.1

=== debian/changelog ===
sasview (6.0.1-2) unstable; urgency=medium

  * Permit usage with matplotlib 3.10 after additional testing.
  * Update Standards-Version to 4.7.2 (no changes required).
  * Update S-V to 4.7.2 (no changes)

 -- Stuart Prescott <stuart@debian.org>  Thu, 27 Mar 2025 23:41:33 +1100

sasview (6.0.1-1) unstable; urgency=medium

  * New upstream release.
    - refresh patches
    - update version constraints for current version
  * Add new patch for bumps 1.x API changes.

 -- Stuart Prescott <stuart@debian.org>  Sun, 16 Mar 2025 14:55:16 +1100

=== debian/control ===
--- 
+++ 
@@ -43,10 +43,9 @@
  python3-qtconsole,
  python3-qtpy,
  python3-sasdata (>> 0.9.0-2~),
- python3-sasmodels (>> 1.0.8~),
+ python3-sasmodels (>> 1.0.9~),
  python3-scipy,
  python3-setuptools,
- python3-six,
  python3-sphinx,
  python3-superqt,
  python3-twisted,
@@ -63,7 +62,7 @@
  xauth,
  xserver-xephyr,
  xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasview.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasview
@@ -73,7 +72,7 @@
 Architecture: all
 Depends:
  python3-pkg-resources,
- python3-sasview,
+ python3-sasview (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
@@ -126,9 +125,8 @@
  python3-pyside6.qtwidgets,
  python3-qtconsole,
  python3-sasdata (>> 0.9.0-2~),
- python3-sasmodels (>> 1.0.8~),
+ python3-sasmodels (>> 1.0.9~),
  python3-scipy,
- python3-six,
  python3-superqt,
  python3-twisted,
  python3-uncertainties,

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=sasview

# SasView insists on writing to ~/sasview.log
export HOME = $(CURDIR)/build/

# Force pdflatex to use SOURCE_DATE_EPOCH for \today too
export FORCE_SOURCE_DATE = 1

# Skip test that needs unpackaged external library
export PYBUILD_TEST_ARGS = -v -s -k "not test_debye_impl" test


%:
	dh $@ --with python3,sphinxdoc,numpy3 --buildsystem=pybuild

execute_after_dh_auto_clean:
	# clean up tests
	find test -name logs -type d -exec rm -rf {} +

execute_before_dh_auto_build:
	cp -r /usr/lib/python3/dist-packages/sasdata/example_data/* src/sas/example_data/
	# help setuptools find the data files (this should not be necessary)
	for d in `find src/sas/ -type d`; do \
	  if [ ! -f $$d/__init__.py ]; then \
	    touch $$d/__init__.py; \
	    if ! grep -q $$d/__init__.py debian/clean; then \
	      echo $$d/__init__.py >> debian/clean; \
	    fi; \
	  fi; \
	done

execute_after_dh_auto_build:
	# reassemble the docs from dependent packages to make the overall
	./debian/fetchdocs
	mkdir build
	SASVIEW_BUILD=`pybuild --print build_dir -i python3` \
	PYTHONPATH=`pybuild --print build_dir -i python3` \
	  xvfb-run -a --server-args='-screen 0 1024x768x24' \
	  python3 setup.py docs update
	# Strip absolute build paths from HTML documentation
	mkdir -p docs/sphinx-docs/build/html/_static/
	find -type f -name '*.html' -print0 | \
	  xargs -0r sed -i -e "s@$(CURDIR)/`echo build/lib.*`@path/to@g"
	ln -sf /usr/share/javascript/mathjax/ docs/sphinx-docs/build/html/_static/

# execute_after_dh_auto_test:
# SKIP: these test currently hang (v6.0.0)
# 	# Run some additional GUI tests
# 	# they fail upstream at present so run them without failing the build
# 	PYBUILD_SYSTEM=custom \
# 	PYBUILD_BEFORE_TEST="cp {dir}/src/sas/sasview/test/1d_data/beam\ profile.DAT {build_dir}/sas/qtgui/beam_profile.DAT" \
# 	PYBUILD_TEST_ARGS="xvfb-run -a --server-args='-screen 0 1024x768x24' python3 -m pytest --ignore=src/sas/webfit src/" \
# 	dh_auto_test || true

execute_after_dh_auto_install:
	# tidy up some items that creep into the module but should not
	rm -rf debian/python3-sasview/usr/lib/python*/dist-packages/doc
	find debian/python3-sasview \( -name convert\*.sh -o -name convert\*.bat -o -name Thumbs.db \) -delete
	# move the executable into the sasview package
	mkdir -p debian/sasview/usr/bin
	mv debian/python3-sasview/usr/bin/sasview debian/sasview/usr/bin/sasview

execute_after_dh_installdocs:
	cp -r docs/sphinx-docs/source-temp debian/sasview-doc/usr/share/doc/sasview/doc-source
	find debian/sasview-doc/usr/share/doc/sasview -name __pycache__ -exec rm -rf {} +

execute_after_dh_fixperms:
	find debian/python3-sasview/usr/lib/python*/dist-packages/ -type f -exec chmod a-x {} +

override_dh_compress:
	dh_compress -X usr/share/doc/sasview/doc-source/

=== debian/tests/control ===
Tests:
 sasview,
Restrictions:
 allow-stderr,
 superficial,
Depends:
 python3-pytest,
 python3-pytestqt,
 sasview,
 xauth,
 xserver-xephyr,
 xvfb,

Tests:
 python3-sasview,
Restrictions:
 allow-stderr,
Depends:
 python3-all,
 python3-pytest,
 python3-sasview,

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
   https://github.com/SasView/sasview/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## sasview 6.1.0

=== build_tools/requirements.txt ===
# Alphabetized list of OS and version agnostic dependencies
appdirs
bumps
cffi
docutils
dominate
h5py
html2text
html5lib
importlib-resources;python_version<"3.9"
ipython
jsonschema
lxml
mako
matplotlib
numba
numpy
packaging
periodictable
platformdirs
pybind11
pylint
pyopencl
pyopengl
pyparsing
PySide6
pytools
qtconsole
sasdata
sasmodels
scipy
siphash24
sphinx
superqt
tccbox
twisted
uncertainties
xhtml2pdf
zope

# Alphabetized list of OS-specific packages
pywin32; platform_system == "Windows"

=== debian/changelog ===
sasview (6.1.0-1) experimental; urgency=medium

  * New upstream release.
    - refresh patches, dropping those applied upstream
    - update build-depends and rules to new build system
  * Add new patches:
    - use 'python3' not 'python' at build time
    - avoid double installation of example_data into wheel
    - fix incorrect import in test suite
    - set documentation installation location
  * Update build system to match upstream changes.
  * Drop building of PDF as no longer supported by upstream.

 -- Stuart Prescott <stuart@debian.org>  Sun, 13 Jul 2025 21:29:55 +1000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Build-Depends-Indep:
  libjs-jquery,
  libjs-mathjax,
+ pybuild-plugin-pyproject,
  pyside6-tools,
  python-bumps-doc (>> 0.9.0~),
  python-sasdata-doc  (>> 0.9.0-2~),
@@ -20,6 +21,11 @@
  python3-bumps (>> 0.9.0~),
  python3-dominate,
  python3-h5py,
+ python3-hatch-build-scripts,
+ python3-hatch-requirements-txt,
+ python3-hatch-sphinx,
+ python3-hatch-vcs,
+ python3-hatchling,
  python3-html2text,
  python3-ipython,
  python3-lxml,
@@ -45,20 +51,12 @@
  python3-sasdata (>> 0.9.0-2~),
  python3-sasmodels (>> 1.0.9~),
  python3-scipy,
- python3-setuptools,
  python3-sphinx,
  python3-superqt,
  python3-twisted,
  python3-uncertainties,
  python3-xhtml2pdf,
  rename,
- tex-gyre,
- texinfo,
- texlive-fonts-recommended,
- texlive-latex-base,
- texlive-latex-extra,
- texlive-latex-recommended,
- texlive-plain-generic,
  xauth,
  xserver-xephyr,
  xvfb,

## sasview 6.1.1

=== build_tools/requirements.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
 uncertainties
 xhtml2pdf
 zope
+requests
 
 # Alphabetized list of OS-specific packages
 pywin32; platform_system == "Windows"

=== docs/sphinx-docs/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 PAPER         =
-BUILDDIR      = build
+BUILDDIR      = ../../build/doc/
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)

=== src/sas/webfit/requirements.txt ===
#this requirements extends the base sasview requirements files
#to get both you will need to run this after base requirements files
django
djangorestframework
dj-rest-auth
django-allauth
django-rest-knox

=== debian/changelog ===
sasview (6.1.1-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
    - update versioned build-deps and depends
    - refresh patches
  * Prevent unneeded dependency on python3-appdirs being added.

 -- Stuart Prescott <stuart@debian.org>  Wed, 08 Oct 2025 15:01:29 +1100

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
  libjs-mathjax,
  pybuild-plugin-pyproject,
  pyside6-tools,
- python-bumps-doc (>> 0.9.0~),
- python-sasdata-doc  (>> 0.9.0-2~),
- python-sasmodels-doc (>> 1.0.8~),
- python3-bumps (>> 0.9.0~),
+ python-bumps-doc (>> 1.0.2~),
+ python-sasdata-doc  (>> 0.11.0~),
+ python-sasmodels-doc (>> 1.0.11~),
+ python3-bumps (>> 1.0.2~),
  python3-dominate,
  python3-h5py,
  python3-hatch-build-scripts,
@@ -48,8 +48,8 @@
  python3-pytest,
  python3-qtconsole,
  python3-qtpy,
- python3-sasdata (>> 0.9.0-2~),
- python3-sasmodels (>> 1.0.9~),
+ python3-sasdata (>> 0.11.0~),
+ python3-sasmodels (>> 1.0.11~),
  python3-scipy,
  python3-sphinx,
  python3-superqt,
@@ -98,7 +98,7 @@
 Architecture: all
 Section: python
 Depends:
- python3-bumps (>> 0.9.0~),
+ python3-bumps (>> 1.0.2~),
  python3-dominate,
  python3-h5py,
  python3-html2text,
@@ -122,8 +122,8 @@
  python3-pyside6.qtwebenginewidgets,
  python3-pyside6.qtwidgets,
  python3-qtconsole,
- python3-sasdata (>> 0.9.0-2~),
- python3-sasmodels (>> 1.0.9~),
+ python3-sasdata (>> 0.11.0~),
+ python3-sasmodels (>> 1.0.11~),
  python3-scipy,
  python3-superqt,
  python3-twisted,

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=sasview

# SasView insists on writing to ~/sasview.log, sasmodels likes caches
export HOME = $(CURDIR)/build/

# Force pdflatex to use SOURCE_DATE_EPOCH for \today too
export FORCE_SOURCE_DATE = 1

# Skip test that needs unpackaged external library
export PYBUILD_TEST_ARGS = -v -s -k "not test_debye_impl" test


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_clean:
	# clean up tests
	find test -name logs -type d -exec rm -rf {} +

execute_after_dh_auto_install:
	# tidy up some items that creep into the module but should not
	rm -rf debian/python3-sasview/usr/lib/python*/dist-packages/doc
	find debian/python3-sasview \( -name convert\*.sh -o -name convert\*.bat -o -name Thumbs.db \) -delete
	# move the executable into the sasview package
	mkdir -p debian/sasview/usr/bin
	mv $(CURDIR)/debian/python3-sasview/usr/bin/sasview $(CURDIR)/debian/sasview/usr/bin/sasview
	rm -rf $(CURDIR)/debian/python3-sasview/usr/lib/python3*/dist-packages/sas/docs*/

execute_after_dh_installdocs:
	find debian/sasview-doc/usr/share/doc/sasview -name __pycache__ -exec rm -rf {} +
	find debian/* -name doctrees -type d -exec rm -rf {} +

execute_after_dh_fixperms:
	find debian/python3-sasview/usr/lib/python*/dist-packages/ -type f -exec chmod a-x {} +

override_dh_compress:
	dh_compress -X usr/share/doc/sasview/docs-source/

=== debian/tests/control ===
#Tests:
# sasview,
#Restrictions:
# allow-stderr,
# superficial,
#Depends:
# python3-pytest,
# python3-pytestqt,
# sasview,
# xauth,
# xserver-xephyr,
# xvfb,

Tests:
 python3-sasview,
Restrictions:
 allow-stderr,
Depends:
 python3-all,
 python3-pytest,
 python3-sasview,

=== debian/watch ===
Version: 5

Template: Github
Owner: SasView
Project: sasview
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/

## sasview 6.1.2

=== build_tools/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 # Alphabetized list of OS and version agnostic dependencies
-appdirs
 bumps
 cffi
 docutils
@@ -18,6 +17,7 @@
 packaging
 periodictable
 platformdirs
+pyausaxs==1.0.4
 pybind11
 pylint
 pyopencl

=== debian/changelog ===
sasview (6.1.2-2) unstable; urgency=medium

  * Add additional build-output to d/clean to permit building twice-in-a-row.

 -- Stuart Prescott <stuart@debian.org>  Sat, 24 Jan 2026 16:35:08 +1100

sasview (6.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop Priority and Rules-Requires-Root fields, no longer required.
  * Push numba into Recommends rather than Depends to avoid its flakiness.
  * Remove dependency on pkg-resources, only used in dead code
    (Closes: #1083761).
  * Add new patch to skip pyausaxs tests until it is packaged.
  * Update lintian-overrides.
  * Update Standards-Version to 4.7.3 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 13 Jan 2026 17:03:26 +1100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sasview
 Section: science
-Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Drew Parsons <dparsons@debian.org>,
@@ -17,7 +16,7 @@
  pyside6-tools,
  python-bumps-doc (>> 1.0.2~),
  python-sasdata-doc  (>> 0.11.0~),
- python-sasmodels-doc (>> 1.0.11~),
+ python-sasmodels-doc (>> 1.0.12~),
  python3-bumps (>> 1.0.2~),
  python3-dominate,
  python3-h5py,
@@ -49,7 +48,7 @@
  python3-qtconsole,
  python3-qtpy,
  python3-sasdata (>> 0.11.0~),
- python3-sasmodels (>> 1.0.11~),
+ python3-sasmodels (>> 1.0.12~),
  python3-scipy,
  python3-sphinx,
  python3-superqt,
@@ -60,16 +59,14 @@
  xauth,
  xserver-xephyr,
  xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.sasview.org/
 Vcs-Git: https://salsa.debian.org/science-team/sasview.git
 Vcs-Browser: https://salsa.debian.org/science-team/sasview
-Rules-Requires-Root: no
 
 Package: sasview
 Architecture: all
 Depends:
- python3-pkg-resources,
  python3-sasview (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -123,7 +120,7 @@
  python3-pyside6.qtwidgets,
  python3-qtconsole,
  python3-sasdata (>> 0.11.0~),
- python3-sasmodels (>> 1.0.11~),
+ python3-sasmodels (>> 1.0.12~),
  python3-scipy,
  python3-superqt,
  python3-twisted,
@@ -131,6 +128,8 @@
  python3-xhtml2pdf,
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ python3-numba,
 Suggests:
  sasview-doc,
 Description: Small Angle Scattering Analysis

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 execute_after_dh_auto_install:
 	# tidy up some items that creep into the module but should not
 	rm -rf debian/python3-sasview/usr/lib/python*/dist-packages/doc
-	find debian/python3-sasview \( -name convert\*.sh -o -name convert\*.bat -o -name Thumbs.db \) -delete
+	find debian/python3-sasview \( -name convert\*.sh -o -name convert\*.bat \) -delete
 	# move the executable into the sasview package
 	mkdir -p debian/sasview/usr/bin
 	mv $(CURDIR)/debian/python3-sasview/usr/bin/sasview $(CURDIR)/debian/sasview/usr/bin/sasview
